hpp-corbaserver: _objref_Tools Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_Tools Class Reference

`#include <hpp/corbaserver/tools-idl.hh>`

Inheritance diagram for _objref_Tools:
[legend]
Collaboration diagram for _objref_Tools:
[legend]

## Public Member Functions
::CORBA::Boolean | loadServerPlugin (const char *context_, const char *pluginName)
::CORBA::Boolean | createContext (const char *context_)
Names_t * | getContexts ()
::CORBA::Boolean | deleteContext (const char *context_)
::CORBA::Object_ptr | getServer (const char *context_, const char *pluginName, const char *objectname)
void | deleteServant (const char *id)
void | deleteAllServants ()
Names_t * | getAllServants ()
void | shutdown ()
| _objref_Tools ()
| _objref_Tools (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_Tools ()

## Friends
class | Tools

## Constructor & Destructor Documentation

## ◆ _objref_Tools() [1/2]

_objref_Tools::_objref_Tools | ( |  | ) |
| inline

## ◆ _objref_Tools() [2/2]

_objref_Tools::_objref_Tools | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_Tools()

virtual _objref_Tools::~_objref_Tools | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ createContext()

::CORBA::Boolean _objref_Tools::createContext | ( | const char * | context_ | ) |

## ◆ deleteAllServants()

void _objref_Tools::deleteAllServants | ( |  | ) |

## ◆ deleteContext()

::CORBA::Boolean _objref_Tools::deleteContext | ( | const char * | context_ | ) |

## ◆ deleteServant()

void _objref_Tools::deleteServant | ( | const char * | id | ) |

## ◆ getAllServants()

Names_t* _objref_Tools::getAllServants | ( |  | ) |

## ◆ getContexts()

Names_t* _objref_Tools::getContexts | ( |  | ) |

## ◆ getServer()

::CORBA::Object_ptr _objref_Tools::getServer | ( | const char * | context_,
|  | const char * | pluginName,
|  | const char * | objectname
| ) |  |

## ◆ loadServerPlugin()

::CORBA::Boolean _objref_Tools::loadServerPlugin | ( | const char * | context_,
|  | const char * | pluginName
| ) |  |

## ◆ shutdown()

void _objref_Tools::shutdown | ( |  | ) |

## Friends And Related Function Documentation

## ◆ Tools

friend class Tools
| friend

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/tools-idl.hh